# OpenLayers.Format.WMSCapabilities/v1_1_1

Read WMS Capabilities version 1.1.1.

Note on <ScaleHint> parsing: If the ‘min’ attribute is set to “0”, no maxScale will be set on the layer object. If the ‘max’ attribute is set to “Infinity”, no minScale will be set. This makes it easy to create proper {OpenLayers.Layer.WMS} configurations directly from the layer object literals returned by this format, because no minScale/maxScale modifications need to be made.

#### Inherits from

- OpenLayers.Format.WMSCapabilities.v1_1

Summary

OpenLayers.Format.WMSCapabilities/v1_1_1 | Read WMS Capabilities version 1.1.1.
Constructor |
OpenLayers.Format.WMSCapabilities.v1_1_1 | Create a new parser for WMS capabilities version 1.1.1.

### Constructor

### OpenLayers.Format.WMSCapabilities.v1_1_1

Create a new parser for WMS capabilities version 1.1.1.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

Instances of OpenLayers.Layer.WMS are used to display data from OGC Web Mapping Services.
Abstract class not to be instantiated directly.
Close